Internet connection error when checking for updates

We’ve recently diagnosed a bug in our Chanalyzer and Eye P.A. software update process.

Symptom

When checking for updates on Chanalyzer version 5.8.9 and older or Eye P.A. version 1.10.1 and older you receive the message:

Error! Couldn’t fetch updates info
Make sure you are connected to internet and try again

Screen Shot 2020-06-10 at 8.36.52 AM

Solution

You will need to manually download and install the latest version. You can obtain the latest version by clicking on the link below. You can run software released prior to you license key entitlement end date. You can find the license key entitlement end date by running the software and selecting Help -> About. If you wish to update your license key’s entitlement date, you can purchase MetaCare.

Software download link:

How to update MetaCare: